View Issue Details

IDProjectCategoryView StatusLast Update
0025872mantisbtfilterspublic2019-07-05 18:50
ReporterOlenaTatarintseva Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version2.21.1 
Summary0025872: Saved filters with "All projects" option return bugs only from globally selected project.
Description

If saved filter has selected "All projects" option it will return return bugs not from all projects, but only from project currently selected on the page.

Steps To Reproduce

Create new filter and save it with "All projects" option.
Go to View issues and select some project in the top right corner.
Go to Manage Filters and apply you saved filter.
It will return bugs only from selected project and not from all projects.

TagsNo tags attached.

Activities

OlenaTatarintseva

OlenaTatarintseva

2019-06-19 05:57

reporter  

cproensa

cproensa

2019-06-19 06:17

developer   ~0062272

There, "all projects" means that this saved filter is available under any selected project.
As opposed to saving that filter only to be available in one specific project.

dregad

dregad

2019-06-19 06:38

developer   ~0062273

If by "All projects" option you mean the check box on query_store_page.php, then please be aware that this only affects the filter's visibility, not its contents (i.e. it will be accessible regardless of which project is currently selected).

By default, filters only include issues from the active project. If you want it to show issues from all projects, then you need to switch to Advanced Filters (burger menu on top right of Filters area), then select All Projects from the list, as shown in attached screenshot.

screenshot-20190619-1237.png (3,611 bytes)   
screenshot-20190619-1237.png (3,611 bytes)   
dregad

dregad

2019-06-19 06:40

developer   ~0062274

Sorry @cproensa I didn't see you had already replied...

OlenaTatarintseva

OlenaTatarintseva

2019-06-24 04:57

reporter   ~0062305

@cproensa, @dregad,

Thank you for the response.

Issue History

Date Modified Username Field Change
2019-06-19 05:57 OlenaTatarintseva New Issue
2019-06-19 05:57 OlenaTatarintseva File Added: filter_with_all_projects_option.png
2019-06-19 06:17 cproensa Note Added: 0062272
2019-06-19 06:38 dregad File Added: screenshot-20190619-1237.png
2019-06-19 06:38 dregad Note Added: 0062273
2019-06-19 06:38 dregad Assigned To => dregad
2019-06-19 06:38 dregad Status new => resolved
2019-06-19 06:38 dregad Resolution open => no change required
2019-06-19 06:40 dregad Note Added: 0062274
2019-06-24 04:57 OlenaTatarintseva Note Added: 0062305
2019-07-05 18:50 atrol Status resolved => closed